# Generated by Django 4.1.5 on 2023-01-30 23:27

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0051_remove_elections2021articlepage_text_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="elections2021articlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "bold",
                                "italic",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "ul-elections2021",
                                "ol-elections2021",
                                "blockquote-elections2021",
                                "link",
                                "image",
                                "document-link",
                            ],
                            label="Textový editor",
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Článek",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021bannerlistpage",
            name="banners",
            field=wagtail.fields.StreamField(
                [
                    (
                        "banners",
                        wagtail.blocks.StructBlock(
                            [
                                ("code", wagtail.blocks.CharBlock(label="kód banneru")),
                                (
                                    "candidate1",
                                    wagtail.blocks.CharBlock(
                                        label="první kandidát", required=False
                                    ),
                                ),
                                (
                                    "candidate2",
                                    wagtail.blocks.CharBlock(
                                        label="druhý kandidát", required=False
                                    ),
                                ),
                                (
                                    "tagline",
                                    wagtail.blocks.CharBlock(
                                        label="slogan", required=False
                                    ),
                                ),
                                (
                                    "preview",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="náhled"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="objednávání plachet",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021downloadspage",
            name="downloads",
            field=wagtail.fields.StreamField(
                [
                    (
                        "document",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="náhled"
                                    ),
                                ),
                                (
                                    "document",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="dokument"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "spotify",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="náhled"
                                    ),
                                ),
                                (
                                    "url",
                                    wagtail.blocks.URLBlock(label="odkaz na Spotify"),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="soubory ke stažení",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021downloadspage",
            name="text_downloads",
            field=wagtail.fields.StreamField(
                [
                    (
                        "document",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "document",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="dokument"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="textové soubory ke stažení",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021governmentteampage",
            name="sections",
            field=wagtail.fields.StreamField(
                [
                    (
                        "section",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "members",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="jméno"
                                                    ),
                                                ),
                                                (
                                                    "photo",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="fotka"
                                                    ),
                                                ),
                                                (
                                                    "occupation",
                                                    wagtail.blocks.CharBlock(
                                                        label="povolání"
                                                    ),
                                                ),
                                                (
                                                    "resume",
                                                    wagtail.blocks.TextBlock(
                                                        label="medailonek"
                                                    ),
                                                ),
                                            ]
                                        )
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="sekce vládního týmu",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021homepage",
            name="carousel",
            field=wagtail.fields.StreamField(
                [
                    (
                        "slide",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="titulek")),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="fotka"
                                    ),
                                ),
                                (
                                    "button_label",
                                    wagtail.blocks.CharBlock(label="text tlačítka"),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka do tlačítka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                            "elections2021.Elections2021MythsPage",
                                            "elections2021.Elections2021DownloadsPage",
                                            "elections2021.Elections2021GovernmentTeamPage",
                                            "elections2021.Elections2021CalendarPage",
                                        ],
                                        required=False,
                                    ),
                                ),
                                (
                                    "raw_url",
                                    wagtail.blocks.CharBlock(
                                        label="ručně zadaný odkaz do tlačítka (místo stránky)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="obsah slideru",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021homepage",
            name="footer_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "link",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="titulek")),
                                ("url", wagtail.blocks.URLBlock(label="odkaz")),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="odkazy v zápatí",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021homepage",
            name="footer_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                            "elections2021.Elections2021MythsPage",
                                            "elections2021.Elections2021DownloadsPage",
                                            "elections2021.Elections2021GovernmentTeamPage",
                                            "elections2021.Elections2021CalendarPage",
                                            "elections2021.Elections2021ProgramInNutshellPage",
                                            "elections2021.Elections2021GoingToVotePage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="menu projděte si v zápatí",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021homepage",
            name="header_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "link",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="titulek")),
                                ("url", wagtail.blocks.URLBlock(label="odkaz")),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="odkazy v záhlaví",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021mythpage",
            name="related_points",
            field=wagtail.fields.StreamField(
                [
                    (
                        "point",
                        wagtail.blocks.PageChooserBlock(
                            label="programový bod",
                            page_type=["elections2021.Elections2021ProgramPointPage"],
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="související programové body",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programinnutshellpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "section",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "text",
                                                    wagtail.blocks.TextBlock(
                                                        label="text"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="titulek"
                                                                    ),
                                                                ),
                                                                (
                                                                    "point",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="programový bod",
                                                                        page_type=[
                                                                            "elections2021.Elections2021ProgramPointPage"
                                                                        ],
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="programové body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="bloky",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="sekce",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="benefits",
            field=wagtail.fields.StreamField(
                [
                    (
                        "benefit",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                            "document-link",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="ostatní benefity",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="benefits_main",
            field=wagtail.fields.StreamField(
                [
                    (
                        "benefit",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "variant",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("1", "Pro mladé"),
                                            ("2", "Pro rodiny s dětmi"),
                                            ("3", "Pro lidi ve zralém věku"),
                                            ("4", "Pro seniory"),
                                            ("5", "Pro zaměstnance"),
                                            ("6", "Pro živnostníky a podnikatele"),
                                            ("7", "Pro lidi ve finanční tísni"),
                                            ("8", "Pro nás pro všechny"),
                                            ("9", "Pro veřejné finance"),
                                            ("10", "Pro rozvoj obcí a měst"),
                                            ("11", "Pro lékaře a zdravotníky"),
                                            ("12", "Pro zemědělce"),
                                            ("13", "Pro děti"),
                                        ],
                                        label="název",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                            "document-link",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="hlavní benefity",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="faq",
            field=wagtail.fields.StreamField(
                [
                    (
                        "question",
                        wagtail.blocks.StructBlock(
                            [
                                ("question", wagtail.blocks.CharBlock(label="otázka")),
                                (
                                    "answer",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                            "document-link",
                                        ],
                                        label="odpověď",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="FAQ",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="related_points",
            field=wagtail.fields.StreamField(
                [
                    (
                        "point",
                        wagtail.blocks.PageChooserBlock(
                            label="programový bod",
                            page_type=["elections2021.Elections2021ProgramPointPage"],
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="související body",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021questionspage",
            name="elections",
            field=wagtail.fields.StreamField(
                [
                    (
                        "question",
                        wagtail.blocks.StructBlock(
                            [
                                ("question", wagtail.blocks.CharBlock(label="otázka")),
                                (
                                    "answer",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "bold",
                                            "italic",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "ul-elections2021",
                                            "ol-elections2021",
                                            "blockquote-elections2021",
                                            "link",
                                            "image",
                                            "document-link",
                                        ],
                                        label="odpověď",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="otázky k volbám",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021questionspage",
            name="myths",
            field=wagtail.fields.StreamField(
                [
                    (
                        "question",
                        wagtail.blocks.StructBlock(
                            [
                                ("question", wagtail.blocks.CharBlock(label="otázka")),
                                (
                                    "answer",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "bold",
                                            "italic",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "ul-elections2021",
                                            "ol-elections2021",
                                            "blockquote-elections2021",
                                            "link",
                                            "image",
                                            "document-link",
                                        ],
                                        label="odpověď",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="mýty o koalici",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021strategicpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "title",
                        wagtail.blocks.CharBlock(
                            icon="title",
                            label="nadpis sekce (pro navigaci)",
                            template="elections2021/_strategic_title_block.html",
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h3",
                                "h4",
                                "bold",
                                "italic",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "ul-elections2021",
                                "ol-elections2021",
                                "blockquote-elections2021",
                                "link",
                                "image",
                                "document-link",
                            ],
                            label="text",
                            template="elections2021/_strategic_text_block.html",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
