# Generated by Django 4.1.5 on 2023-01-30 23:27

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("regulace_konopi", "0009_regkonhomepage_title_suffix"),
    ]

    operations = [
        migrations.AlterField(
            model_name="regkonhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("title", wagtail.blocks.CharBlock(icon="title", label="nadpis")),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text",
                        ),
                    ),
                    (
                        "text_centered",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text-center",
                        ),
                    ),
                    (
                        "text_justify",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text-justify",
                        ),
                    ),
                    (
                        "carousel",
                        wagtail.blocks.ListBlock(
                            wagtail.images.blocks.ImageChooserBlock(label="obrázek"),
                            icon="image",
                            label="carousel",
                        ),
                    ),
                    (
                        "carousel_text",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.RichTextBlock(
                                features=[
                                    "h2",
                                    "h3",
                                    "h4",
                                    "h5",
                                    "bold",
                                    "italic",
                                    "ol",
                                    "ul",
                                    "hr",
                                    "link",
                                    "document-link",
                                    "image",
                                    "superscript",
                                    "subscript",
                                    "strikethrough",
                                    "blockquote",
                                ]
                            ),
                            icon="paragraph",
                            label="carousel-text",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="regkonhomepage",
            name="top_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "regulace_konopi.RegkonHomePage",
                                            "regulace_konopi.RegkonSubPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="horní menu",
            ),
        ),
        migrations.AlterField(
            model_name="regkonsubpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("title", wagtail.blocks.CharBlock(icon="title", label="nadpis")),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text",
                        ),
                    ),
                    (
                        "text_centered",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text-center",
                        ),
                    ),
                    (
                        "text_justify",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="text-justify",
                        ),
                    ),
                    (
                        "carousel",
                        wagtail.blocks.ListBlock(
                            wagtail.images.blocks.ImageChooserBlock(label="obrázek"),
                            icon="image",
                            label="carousel",
                        ),
                    ),
                    (
                        "carousel_text",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.RichTextBlock(
                                features=[
                                    "h2",
                                    "h3",
                                    "h4",
                                    "h5",
                                    "bold",
                                    "italic",
                                    "ol",
                                    "ul",
                                    "hr",
                                    "link",
                                    "document-link",
                                    "image",
                                    "superscript",
                                    "subscript",
                                    "strikethrough",
                                    "blockquote",
                                ]
                            ),
                            icon="image",
                            label="carousel-text",
                        ),
                    ),
                    (
                        "FAQ",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    ("question", wagtail.blocks.TextBlock()),
                                    ("answer", wagtail.blocks.RichTextBlock()),
                                ],
                                template="regulace_konopi/blocks/faq.html",
                            ),
                            label="faq",
                        ),
                    ),
                    (
                        "meps",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "mep",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="jméno"
                                                    ),
                                                ),
                                                (
                                                    "approved",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            (1, "Pro"),
                                                            (0, "Proti"),
                                                            (-1, "Nevíme"),
                                                        ],
                                                        label="hlasoval",
                                                    ),
                                                ),
                                            ]
                                        )
                                    ),
                                ),
                            ],
                            template="regulace_konopi/blocks/party.html",
                        ),
                    ),
                    (
                        "text_3_columns",
                        wagtail.blocks.StreamBlock(
                            [
                                (
                                    "column",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="column",
                                    ),
                                )
                            ],
                            icon="doc-full",
                            max_num=3,
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
